FEHOLDEXCEPT(3)

NAME
feholdexcept - save current floating-point environment

SYNOPSIS

#include <fenv.h>

int feholdexcept(fenv_t *envp);

DESCRIPTION

This method attempts to save the current floating-point environment in the fenv_t instance pointed to by envp, clear the floating point status flags, and then, if supported by the target architecture, install a "non-stop" (e.g. continue on floating point exceptions) mode for all floating-point exceptions.

RETURNS

This method will return zero if the non-stop floating-point exception handler was installed. Otherwise, a non-zero value is returned.

PORTABILITY

ANSI C requires feholdexcept.

Not all Newlib targets have a working implementation. Refer to the file sys/fenv.h to see the status for your target.